import request from '@/utils/request';

//获取地区树
export function areaAll() {
  return request({
    url: '/area/all',
    method: 'get',
  });
}
//供应商总台账
export function customerAll(param) {
  return request({
    url: '/customer/all/searchList',
    data:param,
    method: 'POSt',
  });
}
//总台账导出
export function customerExport(param) {
  return request({
    url: '/customer/export',
    method: 'post',
    data:param,
    responseType: 'blob'
  });
}
//专业类别选项列表
export function bizDictData() {
  return request({
    url: '/bizDictData/tree?type=0',
    method: 'get',
  });
}
//供应商管理分类列表
export function custmerInfolist(param) {
  return request({
    url: '/customerInfo/list',
    method: 'POST',
    data: param
  });
}

//供应商准入信息
export function custmerInfo(param) {
  return request({
    url: '/customer/info/'+param,
    method: 'get',
  });
}
